<html>
<head>
<title>Ogre::GLESPBuffer Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLESPBuffer.html">GLESPBuffer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLESPBuffer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLESPBuffer" -->
<p><code>#include &lt;<a class="el" href="OgreGLESPBuffer_8h_source.html">OgreGLESPBuffer.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GLESPBuffer:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GLESPBuffer__inherit__graph.gif" border="0" usemap="#Ogre_1_1GLESPBuffer_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GLESPBuffer_inherit__map" id="Ogre_1_1GLESPBuffer_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1EAGLPBuffer.html" title="Ogre::EAGLPBuffer" alt="" coords="5,83,141,112"/><area shape="rect" id="node5" href="classOgre_1_1EGLPBuffer.html" title="Ogre::EGLPBuffer" alt="" coords="165,83,293,112"/><area shape="rect" id="node7" href="classOgre_1_1SymbianEGLPBuffer.html" title="Ogre::SymbianEGLPBuffer" alt="" coords="41,160,220,189"/><area shape="rect" id="node10" href="classOgre_1_1Win32EGLPBuffer.html" title="Ogre::Win32EGLPBuffer" alt="" coords="244,160,409,189"/><area shape="rect" id="node12" href="classOgre_1_1X11EGLPBuffer.html" title="Ogre::X11EGLPBuffer" alt="" coords="433,160,583,189"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GLESPBuffer-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBuffer.html#a0d38b73f6f7edcbc334df10808cb939c">GLESPBuffer</a> (<a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> format, size_t width, size_t height)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBuffer.html#ad35f0c91d98427a190918ca79f6c4491">~GLESPBuffer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBuffer.html#af2dd1bc33d3294558a3a5ee2eb752bfe">getFormat</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBuffer.html#a08eebd38c0bacdee2fcc205b095901ab">getWidth</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBuffer.html#a124d991d250ccf6ae1ed82d8cdd81444">getHeight</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBuffer.html#a9427d21b83e81a5ce2329a06713c15d5">getPixelComponentType</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> fmt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get PBuffer component format for an OGRE pixel format.  <a href="#a9427d21b83e81a5ce2329a06713c15d5"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBuffer.html#ad6280d71f3bf6ec530eaaa8f236ce67f">mFormat</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBuffer.html#a5d39847e901e647fd36908054fbaee58">mWidth</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBuffer.html#a5d3c23db60114466a3e4b7d7698cd945">mHeight</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreGLESPBuffer_8h_source.html#l00041">41</a> of file <a class="el" href="OgreGLESPBuffer_8h_source.html">OgreGLESPBuffer.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0d38b73f6f7edcbc334df10808cb939c"></a><!-- doxytag: member="Ogre::GLESPBuffer::GLESPBuffer" ref="a0d38b73f6f7edcbc334df10808cb939c" args="(PixelComponentType format, size_t width, size_t height)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESPBuffer.html#a0d38b73f6f7edcbc334df10808cb939c">Ogre::GLESPBuffer::GLESPBuffer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad35f0c91d98427a190918ca79f6c4491"></a><!-- doxytag: member="Ogre::GLESPBuffer::~GLESPBuffer" ref="ad35f0c91d98427a190918ca79f6c4491" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLESPBuffer.html#ad35f0c91d98427a190918ca79f6c4491">Ogre::GLESPBuffer::~GLESPBuffer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="af2dd1bc33d3294558a3a5ee2eb752bfe"></a><!-- doxytag: member="Ogre::GLESPBuffer::getFormat" ref="af2dd1bc33d3294558a3a5ee2eb752bfe" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> <a class="el" href="classOgre_1_1GLESPBuffer.html#af2dd1bc33d3294558a3a5ee2eb752bfe">Ogre::GLESPBuffer::getFormat</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESPBuffer_8h_source.html#l00047">47</a> of file <a class="el" href="OgreGLESPBuffer_8h_source.html">OgreGLESPBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a124d991d250ccf6ae1ed82d8cdd81444"></a><!-- doxytag: member="Ogre::GLESPBuffer::getHeight" ref="a124d991d250ccf6ae1ed82d8cdd81444" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GLESPBuffer.html#a124d991d250ccf6ae1ed82d8cdd81444">Ogre::GLESPBuffer::getHeight</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESPBuffer_8h_source.html#l00049">49</a> of file <a class="el" href="OgreGLESPBuffer_8h_source.html">OgreGLESPBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9427d21b83e81a5ce2329a06713c15d5"></a><!-- doxytag: member="Ogre::GLESPBuffer::getPixelComponentType" ref="a9427d21b83e81a5ce2329a06713c15d5" args="(PixelFormat fmt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> <a class="el" href="classOgre_1_1GLESPBuffer.html#a9427d21b83e81a5ce2329a06713c15d5">Ogre::GLESPBuffer::getPixelComponentType</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>fmt</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get PBuffer component format for an OGRE pixel format. </p>

</div>
</div>
<a class="anchor" id="a08eebd38c0bacdee2fcc205b095901ab"></a><!-- doxytag: member="Ogre::GLESPBuffer::getWidth" ref="a08eebd38c0bacdee2fcc205b095901ab" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GLESPBuffer.html#a08eebd38c0bacdee2fcc205b095901ab">Ogre::GLESPBuffer::getWidth</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESPBuffer_8h_source.html#l00048">48</a> of file <a class="el" href="OgreGLESPBuffer_8h_source.html">OgreGLESPBuffer.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ad6280d71f3bf6ec530eaaa8f236ce67f"></a><!-- doxytag: member="Ogre::GLESPBuffer::mFormat" ref="ad6280d71f3bf6ec530eaaa8f236ce67f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> <a class="el" href="classOgre_1_1GLESPBuffer.html#ad6280d71f3bf6ec530eaaa8f236ce67f">Ogre::GLESPBuffer::mFormat</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESPBuffer_8h_source.html#l00055">55</a> of file <a class="el" href="OgreGLESPBuffer_8h_source.html">OgreGLESPBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5d3c23db60114466a3e4b7d7698cd945"></a><!-- doxytag: member="Ogre::GLESPBuffer::mHeight" ref="a5d3c23db60114466a3e4b7d7698cd945" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GLESPBuffer.html#a5d3c23db60114466a3e4b7d7698cd945">Ogre::GLESPBuffer::mHeight</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESPBuffer_8h_source.html#l00056">56</a> of file <a class="el" href="OgreGLESPBuffer_8h_source.html">OgreGLESPBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5d39847e901e647fd36908054fbaee58"></a><!-- doxytag: member="Ogre::GLESPBuffer::mWidth" ref="a5d39847e901e647fd36908054fbaee58" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GLESPBuffer.html#a5d39847e901e647fd36908054fbaee58">Ogre::GLESPBuffer::mWidth</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESPBuffer_8h_source.html#l00056">56</a> of file <a class="el" href="OgreGLESPBuffer_8h_source.html">OgreGLESPBuffer.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLESPBuffer_8h_source.html">OgreGLESPBuffer.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:25
</p>
</body>
</html>
